## Getting started

This Talos Linux 1.9.3 image runs on VMware Fusion on ARM64.
After booting, the system gets an IP address assigned by DHCP.

You can find attached the Talos API configuration & authentication
files to access this control-plane. Talos Linux works without SSH
which means, that Vagrant may show you errors even this image is
running and usable. To access the system, make sure to use the
provided talosconfig including the secrets. You may need to adjust
the new IP address in the talosconfig at: ./gyptzazy-dev01/talosconfig

### Talos Config & Authentication
You can find the required files here:
 * https://cdn.gyptazy.com/files/os/talos/vagrant/

### Commands
export TALOSCONFIG=./gyptzazy-dev01/talosconfig
talosctl health --nodes <IP-ADDRESS>
talosctl kubeconfig --nodes <IP-ADDRESS>
export KUBECONFIG=$(pwd)/kubeconfig
kubectl get nodes

### Add worker
This Vagrant box image is defined as a control-plane. You can simply
create a patch to allow scheduling work loads on this node by defining:

  # Allows running workload on control-plane nodes.
  allowSchedulingOnControlPlanes: true


## More Information
This image has been created by gyptazy. You can find more help at:
 * Web: https://gyptazy.com
 * Talos HowTo: https://gyptazy.com/talos-linux-howto-create-a-kubernetes-cluster-in-10-minutes/

